> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flexprice.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Register an AWS Marketplace agreement

> Registers an AWS Marketplace buyer agreement against an existing FlexPrice subscription, upserting plan/subscription/customer integration mappings in one call.



## OpenAPI

````yaml /api-reference/openapi.json post /marketplace/agreements
openapi: 3.0.1
info:
  title: Flexprice API
  description: Flexprice API Service
  contact:
    name: API Support
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1.0'
servers:
  - url: https://us.api.flexprice.io/v1
    description: US Region
  - url: https://api.cloud.flexprice.io/v1
    description: India Region
security: []
paths:
  /marketplace/agreements:
    post:
      tags:
        - Marketplace
      summary: Register an AWS Marketplace agreement
      description: >-
        Registers an AWS Marketplace buyer agreement against an existing
        FlexPrice subscription, upserting plan/subscription/customer integration
        mappings in one call.
      requestBody:
        description: Agreement registration request
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RegisterMarketplaceAgreementRequest'
        required: true
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RegisterMarketplaceAgreementResponse'
components:
  schemas:
    RegisterMarketplaceAgreementRequest:
      required:
        - customer_aws_account_id
        - customer_id
        - dimension
        - license_arn
        - plan_id
        - product_code
        - provider
        - subscription_id
      type: object
      properties:
        concurrent_agreements:
          type: boolean
        customer_aws_account_id:
          type: string
        customer_id:
          type: string
        dimension:
          type: string
        license_arn:
          type: string
        plan_id:
          type: string
        product_code:
          type: string
        provider:
          type: string
          description: e.g. "aws"
        subscription_id:
          type: string
    RegisterMarketplaceAgreementResponse:
      type: object
      properties:
        customer_mapping_id:
          type: string
        plan_mapping_id:
          type: string
        status:
          type: string
        subscription_mapping_id:
          type: string

````